#region Using declarations
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Data;
using NinjaTrader.Indicator;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Strategy;
using System.IO;
using System.Collections;
using System.Windows.Forms;
#endregion
// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
/// <summary>
///
/// </summary>
[Description("_aaa_entry_at_good_price")]
public class _aaa_entry_at_good_price : Strategy
{
#region Variables
// Wizard generated variables
// User defined variables (add any user defined variables below)

private System.Windows.Forms.ToolStrip strip = null;
private System.Windows.Forms.Control[] controls    = null;

private System.Windows.Forms.ToolStripButton btnManual = null;
private System.Windows.Forms.ToolStripButton btnEntry = null;

private Font boldFont = null;
private Font regularFont = null;
private bool buttonsloaded = false;
#endregion



/// <summary>
/// This method is used to configure the strategy and is called once before any strategy method is called.
/// </summary>

protected override void Initialize()
{
	
	
	CalculateOnBarClose = false;
System.Windows.Forms.Control[] controls =
ChartControl.Controls.Find("tsrTool", false);

if (controls.Length > 0) {

ToolStripButton btnTemp = new System.Windows.Forms.ToolStripButton("temp");
boldFont = new Font("Arial", 8,FontStyle.Bold);
regularFont = new Font("Arial", 8);
btnTemp = null;

btnManual = new System.Windows.Forms.ToolStripButton("btnManual");
//btnManual.Font = boldFont;
btnManual.Font =regularFont ;   
btnManual.ForeColor = Color.White;
btnManual.BackColor=Color.Green;   
btnManual.Text = "LONG";


strip = (System.Windows.Forms.ToolStrip)controls[0];

strip.Items.Add(btnManual);
btnManual.Click += btnManual_Click;

btnEntry = new System.Windows.Forms.ToolStripButton("btnManual");
//btnEntry.Font = boldFont;
btnEntry.Font = regularFont;
btnEntry.ForeColor = Color.Black;
btnEntry.BackColor=Color.Green;
btnEntry.Text = "SHORT";

strip.Items.
Add(btnEntry);
btnEntry.Click += btnEntry_Click;   
buttonsloaded=true;

}

}
public override void Dispose() {
if (buttonsloaded==true)
{
strip.Items.Remove(btnManual);
strip.Items.Remove(btnEntry);
}

}

private void btnManual_Click(object sender, EventArgs e)
{
if (btnManual.Text == "LONG")
{
btnManual.Text = "Exit L";
btnManual.Font =regularFont ;
btnManual.ForeColor = Color.White;
btnManual.BackColor=Color.Green;
}
else {
btnManual.Text = "LONG";
btnManual.Font =boldFont ;
btnManual.ForeColor = Color.White;
btnManual.BackColor=Color.Red;
}



btnManual.Enabled = true;
}
private void btnEntry_Click(object sender, EventArgs e)
{
if (btnEntry.Text == "SHORT")
{
btnEntry.Text = "Exit S";
btnEntry.Font = boldFont ;
btnEntry.ForeColor = Color.Black;
btnEntry.BackColor=Color.Red;

}
else
{

btnEntry.Text = "SHORT";
btnEntry.Font = regularFont ;
btnEntry.ForeColor = Color.Black;
btnEntry.BackColor=Color.Red;
}

btnEntry.Enabled = true;

}
protected override void OnBarUpdate()
{

if (btnEntry.Text == "SHORT")
{
btnEntry.Text = "SHORT";
btnEntry.Font = boldFont ;
btnEntry.ForeColor = Color.White;
btnEntry.BackColor=Color.Red;
}

if (btnManual.Text == "LONG")
{
btnManual.Text = "LONG";
btnManual.Font = boldFont ;
btnManual.ForeColor = Color.White;
btnManual.BackColor=Color.Green;
}

///
/// Now Make Your Make Your Entry Here
//

//	if (0<SMA(5)[1]-SMA(34)[1]
//	&&(((SMA(5)[0]-SMA(34)[0])<(SMA(5)[1]-SMA(34)[1]))
//			||(0>SMA(5)[0]-SMA(34)[0])		)
//	) 
//{
//DrawDot("MyDot"+CurrentBar, true, 0, High[0] + 2 * TickSize, Color.Red);		
//}

if (btnManual.Text != "LONG"
	&&
	Close[1]>=MAX(High,2)[2]+0*TickSize
				&&High[1]<CurrentDayOHL().CurrentHigh[1]
	&&High[0]>High[1]
//0>SMA(5)[1]-SMA(34)[1]
//	&&(
//
//	(0<SMA(5)[0]-SMA(34)[0])
//	)
	)
{

EnterLong();
}
if (btnEntry.Text != "SHORT"
	&&	Low[1]>CurrentDayOHL().CurrentLow[1]
	&&Low[0]<Low[1]
	&&
Close[1]<MIN(Low,2)[2]-0*TickSize
//	0<SMA(5)[1]-SMA(34)[1]
//	&&(
//
//	(0>SMA(5)[0]-SMA(34)[0])
//	)
	)

{
EnterShort();
}  


if (btnManual.Text != "Exit L"
	&&Position.MarketPosition == MarketPosition.Long
	)
{

ExitLong();
}
if (btnEntry.Text != "Exit S"
	&&Position.MarketPosition == MarketPosition.Short
	)

{
ExitShort();
}  



//}

}
#region Properties
#endregion
}
}